define HEADER
 KJVbible data preprocessing:
  - The `kjv.pdf` is the source file, downloaded from `https://www.kingjamesbibleonline.org`.
  - The table of contents is extracted, manually edited,
    and presented as a `kjv.chapters.csv` spreadsheet of format `ChapterName \t ChapterFirstPage \n`
  - Using the `split.js` script,
    - Using `pdftk` the book is splitted in chapters in `pdf/${chaptername}.pdf` files.
    - Using `pdftotext` chapters are converted in `txt/${chaptername}.txt` text files.
    - Each chapter word sequence is stored in `words/seq/${chaptername}.txt` text files,
      one lower-case word perline, only considering ``words´´ of regex format `[a-z]+`, of length at least `2`.
    - Each chapter word set is stored in `words/set/${chaptername}.txt` text files,
      one lower-case word perline, stored in alphabetic order without duplicate.
    - The word-count is stored in `kjv.word-count.csv` of format `ChapterName \t sequence-word-count \t set-word-count \n`
endef

all : cleanwrd split

split :
	mkdir -p pdf txt
	./split.js

cleanwrd :
	rm -rf kjv.data.json

cleanall : cleanwrd
	rm -rf pdf txt

